title: Documentation LemonadeJS v4
keywords: LemonadeJS, two-way data binding, frontend, javascript library, Reactive, React, Vue, Angular, micro library
description: Discover more about LemonadeJS and how can help you build faster applications.
canonical: https://lemonadejs.com/docs

LemonadeJS micro library
========

{.small}
LemonadeJS is about 7 KBytes

LemonadeJS is a micro JavaScript library to help developers to build amazing reactive web-based applications. The library is free and distribute under MIT license.

Learning Center
---------------

### Documentation

* [Getting started](/docs/getting-started)
* [Attributes](/docs/attributes)
* [Two-way data binding](/docs/two-way-data-binding)
* [Arrays](/docs/arrays)
* [Methods](/docs/methods)
* [Events](/docs/events)
* [Components](/docs/components)
* [Classes](/docs/classes)
* [Web-components](/docs/web-components)

### Utilities

* [Awesome](/docs/awesome)
* [Sugar](/docs/sugar)
* [Testing](/docs/tests)
* [Module (ESM)](/docs/module)

### Useful

* [Quick reference](/docs/quick-reference)
* [Debugging](/docs/debugging)
* [Contributing](/docs/contributions)

Libraries
---------

### Pico Library

* [List](/docs/plugins/list)
* [Rating](/docs/plugins/rating)
* [Router](/docs/plugins/router)
* [Signature](/docs/plugins/signature)

### Components

* [JavaScript Data Grid](/docs/plugins/data-grid)
* [JavaScript Calendar](/docs/plugins/calendar)
* [JavaScript Dropdown](/docs/plugins/dropdown)
* [JavaScript Modal](/docs/plugins/modal)
* [JavaScript Color Picker](/docs/plugins/color-picker)
* [JavaScript Timeline](/docs/plugins/timeline)
* [JavaScript Context Menu](/docs/plugins/context-menu)
* [JavaScript Tabs](/docs/plugins/tabs)
* [JavaScript Image Cropper](/docs/plugins/image-cropper "Photo cropper and filters component")

Examples
--------

### Simple Examples

* [Lamp](/docs/examples/lamp)
* [Counter](/docs/examples/counter)
* [Color generator](/docs/examples/color-generator)
* [Value persistence](/docs/examples/value-persistence)
* [DIV onresize](/docs/examples/div-onresize)
* [Star rating](/docs/examples/rating)
* [Table](/docs/examples/table)
* [Disable elements](/docs/examples/enable-disable-elements)
* [Color picker](/docs/examples/color-picker)

### Advanced Examples

* [JavaScript Hangman Game](/docs/examples/hangman)
* [JavaScript Tic-tac-toe implementation](/docs/examples/tic-tac-toe)



Featured
--------

### Other JavaScript tools

* [Jspreadsheet Pro](https://jspreadsheet.com)
* [Jspreadsheet CE](https://bossanova.uk/jspreadsheet/ce)
* [jSuites](https://jsuites.net)


### Jspreadsheet Pro

Create great **JavaScript data grids** with spreadsheet controls using Jspreadsheet Pro.

[Learn more](https://jspreadsheet.com)